Bug 695927 - (CVE-2011-1679) CVE-2011-1679 ncpfs: ncpmount and ncpumount fail to anticipate RLIMIT_FSIZE
CVE-2011-1679 ncpfs: ncpmount and ncpumount fail to anticipate RLIMIT_FSIZE
Status: CLOSED CANTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110303,reported=20110301,sou...
: Security
Depends On: 695935
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 18:22 EDT by Vincent Danen
Modified: 2014-12-05 06:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 06:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-04-12 18:22:45 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1679 to
the following vulnerability:

Name: CVE-2011-1679
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1679
Assigned: 20110409
Reference: http://openwall.com/lists/oss-security/2011/03/04/9
Reference: https://bugzilla.redhat.com/show_bug.cgi?id=688980

ncpfs 2.2.6 and earlier attempts to use (1) ncpmount to append to the
/etc/mtab file and (2) ncpumount to append to the /etc/mtab.tmp file
without first checking whether resource limits would interfere, which
allows local users to trigger corruption of the /etc/mtab file via a
process with a small RLIMIT_FSIZE value, a related issue to
CVE-2011-1089.
Comment 1 Vincent Danen 2011-04-12 18:31:56 EDT
Created ncpfs tracking bugs for this issue

Affects: fedora-all [bug 695935]
Comment 2 pjp 2014-12-05 06:57:23 EST
ncpfs package has been orphaned and retired since 12 Mar 2013.

Please see:
  -> https://admin.fedoraproject.org/pkgdb/package/ncpfs/
  -> http://pkgs.fedoraproject.org/cgit/ncpfs.git/commit/

Closing this bug as no updates/fixes are in sight. :(

Note You need to log in before you can comment on or make changes to this bug.